package jp.sourceforge.shovel.entity;

import java.util.Map;

import jp.sourceforge.shovel.GrowlPriorityType;
import jp.sourceforge.shovel.GrowlType;

public interface IGrowlPacket {
    String getApplication();
    void setApplication(String application);
    String getNotification();
    void setNotification(String notification);
    void addNotification(String notification, boolean enabled);
    Map<String, Boolean> getNotifications();
    GrowlType getGrowlType();
    void setGrowlType(GrowlType growlType);
    String getPassword();
    void setPassword(String password);
    String getTitle();
    void setTitle(String title);
    String getDescription();
    void setDescription(String description);
    GrowlPriorityType getPriorityType();
    void setPriorityType(GrowlPriorityType priorityType);
    boolean isSticky();
    void setSticky(boolean sticky);
}
